[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'ipc' (#rtl)

# TShmid_ds

Record used in the shmctl call to set or retrieve settings for shared memory.

## Declaration

Source position: ipc.pp line 282

`type TShmid_ds = record`
`shm_perm: TIPC_Perm;` |  | Permissions
`shm_segsz: size_t;` |  | Segment size
`shm_atime: time_t;` |  | Last access time
`shm_dtime: time_t;` |  | Last detach time
`shm_ctime: time_t;` |  | Create time
`shm_cpid: pid_t;` |  | Creator PID
`shm_lpid: pid_t;` |  | Last operation PID
`shm_nattch: culong;` |  | Number of attachments
`__unused4: culong;` |  | Size padding element
`__unused5: culong;` |  | Size padding element
`end;`